Subject: Celebrity looks cost less now!

From: " Archive" <[email-masked] >
Date: Tue, 10 Jul 2007 18:51:40 +0200

First thing in the paraphernalia of a high-society person – luxury timepiece!
Same quality offered at a tiny fraction of the original manufacturer’s price!
Most desired brands are always in stock waiting to be purchased!
http://stflu.com